Skip to main content
GET
Get ledger balances

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json

Path Parameters

businessId
string
required

The UUID of the business

Query Parameters

start_date
string<date-time>

Start date for balance calculation (inclusive)

end_date
string<date-time>

End date for balance calculation (exclusive)

reporting_basis
enum<string>
default:ACCRUAL

Reporting basis for the balances (ACCRUAL or CASH)

Available options:
ACCRUAL,
CASH
customer_id
string<uuid>

Filter balances by customer UUID

customer_external_id
string

Filter balances by customer external ID

vendor_id
string<uuid>

Filter balances by vendor UUID

vendor_external_id
string

Filter balances by vendor external ID

include_entries_before_activation
boolean
default:false

Include entries before business activation date

Response

Ledger balances

accounts
object[]